I have tried to rewrite the parent element, but as a result I'm getting old element.
I had another variant: to create a new ComplexShape:
While components.MoveNext Modify = Modify + ModifyVertexes(components.Current, PCo, PTm) Set SubEle = components.Current ReDim Preserve NewSubElements(NewSubElementsCount) Set NewSubElements(NewSubElementsCount) = SubEle NewSubElementsCount = NewSubElementsCount + 1 Wend Dim NewComplexShape As Element ' New ComplexShape Set NewComplexShape = CreateComplexShapeElement1(NewSubElements) ' it's not working (msderror -232 (80040ca0)) Set NewComplexShape = CreateComplexStringElement1(NewSubElements) ' it's working ActiveModelReference.RemoveElement myEnum.Current ActiveModelReference.AddElement NewComplexShape
CreateComplexShapeElement1is not working, but CreateComplexStringElement1is working.
Now I just want to understand why is not working the way that works in Version 08.05.02.35.